# ───────────────────────────────────────────────────── imports ────────────────────────────────────────────────────── #
from typing import TypeVar

from pydantic.v1 import BaseModel

# ──────────────────────────────────────────────────────────────────────────────────────────────────────────────────── #
#                           specifies all modules that shall be loaded and imported into the                           #
#                                current namespace when we use 'from package import *'                                 #
# ──────────────────────────────────────────────────────────────────────────────────────────────────────────────────── #

__all__ = ["DtoIdT", "DtoT"]

# ──────────────────────────────────────────────────────────────────────────────────────────────────────────────────── #
#                                                  Generic DTO types                                                   #
# ──────────────────────────────────────────────────────────────────────────────────────────────────────────────────── #

DtoIdT = TypeVar("DtoIdT", bound=BaseModel)
DtoT = TypeVar("DtoT", bound=BaseModel)
